<?php include 'vendor/autoload.php'; ?><?php
    spl_autoload_register(function($class){
        // \ mit / ersetzen
        $slashes = str_replace("\\", "/", $class);

        // Klasse in lib/namespace/klassenname.php suchen und ggf. reinladen
        $dir = dirname(__FILE__);
        $filename = $dir . '/lib/' . $slashes . '.php';

        if(file_exists($filename)){
            require_once($filename);
        }
    });

    
    if(basename($_SERVER['SCRIPT_NAME']) != "dbcheck.php" && basename($_SERVER['SCRIPT_NAME']) != "setup.php") \FOP\I18n::initialize();
    
    if(basename($_SERVER['SCRIPT_NAME']) != "dbcheck.php" && basename($_SERVER['SCRIPT_NAME']) != "setup.php") \FOP\Cron::initialize();
    
    if(basename($_SERVER['SCRIPT_NAME']) != "dbcheck.php" && basename($_SERVER['SCRIPT_NAME']) != "setup.php") \FOP\User::initialize();
    
?><?php set_exception_handler("\\FOP\\Util::exception_handler"); ?><?php function qi($s){return \FOP\Database::quoteIdent($s);} ?><?php header('Location: '.\FOPRouter\Index::indexURL());